Bug 1264944 - Latest NaN doesn't compile against v8 from Fedora
Latest NaN doesn't compile against v8 from Fedora
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: v8 (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 13:18 EDT by Vlad
Modified: 2015-10-13 13:02 EDT (History)
5 users (show)

See Also:
Fixed In Version: v8-3.14.5.10-21.fc23 v8-3.14.5.10-21.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-13 13:02:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vlad 2015-09-21 13:18:55 EDT
Description of problem:
Latest NaN doesn't compile against v8 from Fedora causing problems with building some binary node packages.
There are some relevant issues on NodeJS GitHub:
https://github.com/nodejs/nan/issues/394
The reason is Fedora v8 lacks this patch https://github.com/nodejs/node-v0.x-archive/commit/881ac26f27f4ac9585d66c8d8a67d5b246a23d1b

Version-Release number of selected component (if applicable):
3.14.5.10-18.fc22

How reproducible:
Build some node packge with NaN. 

Steps to Reproduce:
1. For example build sqlite with external sqlite library. 
2. npm install sqlite3 --build-from-source --sqlite=/lib/libsqlite3.so

Actual results:
Build fails with error: ‘REPLACE_INVALID_UTF8’ is not a member of ‘v8::String’

Expected results:
Build success.
Comment 1 Fedora Update System 2015-09-24 14:23:22 EDT
v8-3.14.5.10-21.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16634
Comment 2 Fedora Update System 2015-09-24 14:23:23 EDT
v8-3.14.5.10-21.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16635
Comment 3 Vlad 2015-09-25 08:35:39 EDT
Just tested v8-3.14.5.10-21.fc22. Everything is ok! Thanks for the quick fix!
Comment 4 Fedora Update System 2015-09-25 12:32:12 EDT
v8-3.14.5.10-21.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update v8'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16635
Comment 5 Fedora Update System 2015-09-26 20:38:12 EDT
v8-3.14.5.10-21.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update v8'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16634
Comment 6 Alick Zhao 2015-09-27 14:55:53 EDT
Also hit this. Verified the update works on Fedora 22. Gave my karma.
Comment 7 Fedora Update System 2015-10-01 12:02:29 EDT
v8-3.14.5.10-21.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Alick Zhao 2015-10-08 16:36:03 EDT
Please push the updates of fc22 to stable too. Actually that's what we meant to give karma to.
Comment 9 Fedora Update System 2015-10-13 13:02:47 EDT
v8-3.14.5.10-21.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.